%def_without libexif

Name: gthumb
Version: 2.0.1
Release: alt1

Summary: An image viewer and browser for GNOME
Summary(ru_RU.KOI8-R):      GNOME
License: GPL
Group: Graphics
Url: http://gthumb.sourceforge.net/

Source: %name-%version.tar.bz2
Source1: %name-2.0.1-ru.po
# to build with libgnomeprint2 >= 2.2.0 (AVL)
Patch: %name-2.0.1-alt-gnomeprint-2.2.patch

%define exif_ver 0.5.8
%define glib_ver 2.2.0
%define gtk_ver 2.2.0
%define libxml2_ver 2.4.28
%define libgnome_ver 2.2.0.1
%define libgnomeui_ver 2.2.0.1
%define gnome_vfs_ver 2.2.0
%define glade_ver 2.0.1-alt2
%define libgnomeprint_ver 2.2.1
%define libgnomeprintui_ver 2.2.1
%define bonobo_activation_ver 2.2.0
%define libbonobo_ver 2.2.0
%define libbonoboui_ver 2.2.0
%define scrollkeeper_ver 0.3.11-alt2
%define GConf_ver 2.2.0

Requires(post): GConf2 >= %GConf_ver 
Requires(post,postun): scrollkeeper >= %scrollkeeper_ver
%if_with libexif
Requires: libexif >= %exif_ver
%endif
Requires: glib2 >= %glib_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libxml2 >= %libxml2_ver
Requires: libgnome >= %libgnome_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libglade2 >= %glade_ver
Requires: libgnomeprint2 >= %libgnomeprint_ver
Requires: libgnomeprintui >= %libgnomeprintui_ver
Requires: bonobo-activation >= %bonobo_activation_ver
Requires: libbonobo2 >= %libbonobo_ver
Requires: libbonoboui >= %libbonoboui_ver

BuildPreReq: GConf2 >= %GConf_ver 
%if_with libexif
BuildPreReq: libexif-devel >= %exif_ver
%endif
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: libgnomeprint2-devel >= %libgnomeprint_ver
BuildPreReq: libgnomeprintui-devel >= %libgnomeprintui_ver
BuildPreReq: bonobo-activation-devel >= %bonobo_activation_ver
BuildPreReq: libbonobo2-devel >= %libbonobo_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver

# Automatically added by buildreq on Mon Jan 27 2003
#BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs bonobo-activation-devel esound-devel fontconfig-devel freetype2-devel glib2-devel glibc-devel-static gnome-vfs2-devel indent libGConf2-devel libIDL libXft libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexif-devel libexpat libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgtk+2-devel libjpeg-devel liblinc-devel libpango-devel libpng-devel libpopt-devel libssl-devel libtiff-devel libxml2-devel libxslt pkgconfig scrollkeeper zlib-devel
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs bonobo-activation-devel
BuildRequires: esound-devel fontconfig-devel freetype2-devel glib2-devel
BuildRequires: glibc-devel-static gnome-vfs2-devel indent libGConf2-devel
BuildRequires: libIDL libXft libart_lgpl-devel libatk-devel libaudiofile-devel
BuildRequires: libbonobo2-devel libbonoboui-devel libexpat libglade2-devel
BuildRequires: libgnome-devel libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel
BuildRequires: libgnomeui-devel libgtk+2-devel libjpeg-devel liblinc-devel libpango-devel
BuildRequires: libpng-devel libpopt-devel libssl-devel libtiff-devel libxml2-devel libxslt
BuildRequires: pkgconfig scrollkeeper zlib-devel

%description
gThumb lets you browse your hard disk, showing thumbnails of image
files. It also lets view single files (including GIF animations),
add comments to images, organize images in catalogs, print images, view
slideshows, set desktop background, and more.

%description -l ru_RU.KOI8-R
gThumb    ֣ , 
    .  
    (  
 GIF),    ,  
 , ,    ,
      .

%define _libexecdir %_libdir/%name

%prep
%setup -q
%patch -p1
%__cp %SOURCE1 po/ru.po

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__autoconf
%__automake -a -c -f

%configure --disable-schemas-install
%make_build

%install
%make_install DESTDIR=%buildroot install

# menu
%__mkdir_p %buildroot%_menudir
%__cat << __MENU__ >%buildroot%_menudir/%name
?package(%name):command="%_bindir/%name "icon="%name.png" title="gThumb" \
longtitle="A graphics viewer and browser "needs="x11" section="Multimedia/Graphics"
__MENU__

%find_lang %name

%post
%gconf2_install %name
%update_scrollkeeper
%update_menus

%postun
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%_bindir/*
%_libexecdir/*
%_libdir/bonobo/servers/*
%_datadir/applications/*
%_datadir/application-registry/*
%_datadir/gnome-2.0/ui/*
%_datadir/%name
%_datadir/pixmaps/*
%_man1dir/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*.schemas
%_datadir/omf/*
%doc %_datadir/gnome/help/*
%doc AUTHORS ChangeLog NEWS README

%changelog
* Mon Jan 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- go to gnome2.
- Patch for building with libgnomeprint2-2.2 by AVL.

* Thu Jun 13 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.13-alt1
- ALTLinux build.
